"use strict";


//--------------------------------------------------
//指定範囲の乱数取得
//
//cnt    : 乱数の個数
//min    : 乱数最小値
//
//return : min～(min+cnt-1)範囲の乱数
//--------------------------------------------------
function getRandomNum(cnt, min) {

  var ranCnt = getNumeric(cnt);	//乱数の個数を10進法で数値化
  var minNum = getNumeric(min);	//乱数最小値を10進法で数値化

  if(ranCnt<=0){
    throw "TANTAN_Error:getRandomNum: cnt[" + ranCnt + "]<=0";
  }
  return Math.floor( Math.random() * ranCnt ) + minNum;
}

//--------------------------------------------------
//10進法で数値化した値の取得
//
//num    : 数字
//
//return : 10進法で数値化した値
//--------------------------------------------------
function getNumeric(num) {

  if(!isNumeric(num)){
    throw "TANTAN_Error:getNumeric: [" + num + "] is Not Numeric";
  }
  return parseInt(num, 10);
}

//--------------------------------------------------
//数値チェック関数
//入力値が数値であることをチェックする
//https://jquery.nj-clucker.com/number-check-function/
//
//[引数]   num  : 入力値
//[返却値] true : 数値
//         false: 数値以外
//--------------------------------------------------
function isNumeric(num){

  //チェック条件パターン (符号あり小数 (- のみ許容)) 
  var pattern = /^[-]?([1-9]\d*|0)(\.\d+)?$/;
  //数値チェック
  return pattern.test(num);
}

//--------------------------------------------------
//0パディング(0で桁埋め)
//--------------------------------------------------
function zeroPadding(num,length){

    return ('0000000000' + num).slice(-length);
}
//--------------------------------------------------
//全角スペースパディング(全角スペースで桁埋め)
//--------------------------------------------------
function zenSpacePadding(str,length){

    return (str + '　　　　　　　　　　').slice(0,length);
}
//--------------------------------------------------
//ユニーク文字列
//--------------------------------------------------
function getUniqueStr() {

	var strong = 1000;
	var id = new window.Date().getTime().toString(16) + Math.floor(strong*Math.random()).toString(16);
	return id;
}

//--------------------------------------------------
//画面中央に表示するモーダルウィンドウ
//--------------------------------------------------
function modalWindow() {

	//body内の最後に<div id="modal-bg"></div>を挿入
	$("body").append('<div id="modal-bg"></div>');

	//画面中央を計算する関数を実行
	modalResize();

	//モーダルウィンドウを表示
	$("#modal-bg,#modal-main").fadeIn("slow");

	//画面のどこかをクリックしたらモーダルを閉じる
//	$("#modal-bg,#modal-main").click(function(){
	$("#resultClsBtn").click(function(){
		$("#modal-main,#modal-bg").fadeOut("slow",function(){
		//挿入した<div id="modal-bg"></div>を削除
			$('#modal-bg').remove() ;
		});

	});

	//画面の左上からmodal-mainの横幅・高さを引き、その値を2で割ると画面中央の位置が計算できます
	$(window).resize(modalResize);
	function modalResize(){

		var w = $(window).width();
		var h = $(window).height();

		var cw = $("#modal-main").outerWidth();
		var ch = $("#modal-main").outerHeight();

		//端末zoomサイズによって位置を変更
		var aa = (w - cw)/2;
		var bb = (h - ch)/2;

		//取得した値をcssに追加する
		$("#modal-main").css({
			"left": (aa) + "px",
			"top": (bb) + "px"
		});
	}
}
//--------------------------------------------------
//ローカルストレージから取得
//--------------------------------------------------
function getStorage(str,init) {

	var val = localStorage.getItem(str);
	if (val === null || val === undefined) {
		val = init;
	}
	return val;
}
//--------------------------------------------------
//ローカルストレージに保存
//--------------------------------------------------
function setStorage(str,val) {

	localStorage.setItem(str, val);
}
//--------------------------------------------------
//ローカルストレージから削除
//--------------------------------------------------
function removeStorage(key) {

    window.localStorage.removeItem(key);
}
//--------------------------------------------------
//HTMLのIDオブジェクトを取得
//(失敗時にHTMLに存在しないIDをアラートで出す)
//【戻り値】
//成功：object
//失敗：null
//--------------------------------------------------
function getObj(id) {

	var val = document.getElementById(id);
	if (val === null || val === undefined) {
		alert("TTmsg -> ID ['" + id + "'] is null");
	}
	return val;
}
